%% Clear and calculate.
close all;
clear;
drawnow;

% Ring.
nAnt = 8;
phi = linspace(0,2*pi,nAnt+1);
phi1 = phi(1:end-1);
r = 6;
ring.p = gen_positions(r*cos(phi1), r*sin(phi1), 0, 0, pi/2, pi+phi1);
ring.a(1:nAnt) = gen_farfield('cosn 40',20,40);

figure;
plot_farfield_inpos(ring);
plot3([0 3 ; 0 0 ; 0 0]',[0 0 ; 0 3 ; 0 0]',[0 0 ; 0 0 ; 0 3]','k-');
text(4,0,0,'x');
text(0,4,0,'y');
text(0,0,4,'z');
%save_fig([mfilename '.png']);
