close all;
clear;

distance_lambda = 2;
beta = [0 90 180 270]*pi/180;  % phase
theta = (-180:180)' * pi/180;
pstyle = {'b-', 'r-', 'g-', 'k-'};

figure;
plot_polar_format('phicut');
for ii = 1:numel(beta)
    AF = 2*cos( pi*distance_lambda*cos(theta) + beta(ii)/2 );
    plot_polar_data(theta, 20*log10(abs(AF)), pstyle{ii});
end
