function eff = get_radiation_efficiency(a)
%GET_RADIATION_EFFICIENCY Get radiation efficiency from antenna structure.
%
%   function eff = get_radiation_efficiency(a)
%
%   Get radiation efficiency of antenna structure "a". The radiation efficiency
%   is given in linear power.
%
%   See also SET_RADIATION_EFFICIENCY.

% By Ulf Carlberg.

eff = a.power.accepted ./ a.power.radiated;
