function w2 = orthogonal_waves(w)
%ORTHOGONAL_WAVES Generate orthogonal waves from a given set of waves.
%
%   function w2 = orthogonal_waves(w)

% By Ulf Carlberg.

w2 = w;
w2.E_theta = -conj(w.E_phi);
w2.E_phi = conj(w.E_theta);
