close all;
clear;

a1 = gen_farfield('Incremental Huygens source');
a1 = rotate_farfield(a1, 0, pi/2, 0);
a2 = rotate_farfield(a1, 0, pi/2, 0);

figure;
plot_polar_format('thetacut');
h1 = plot_polar_farfield_thetacut(a1);
h2 = plot_polar_farfield_thetacut(a2, [], [], 'r-');
legend([h1 h2], 'Example 1', 'Example 2', 'Location', 'southeast');
%save_fig('plot_polar_thetacut_test.png', 10, 10, 450);

figure;
plot_polar_format('phicut');
h1 = plot_polar_farfield_phicut(a1, [], -pi/4);
h2 = plot_polar_farfield_phicut(a2, [], -pi/4, 'r-');
legend([h1 h2], 'Example 1', 'Example 2', 'Location', 'southeast');
%save_fig('plot_polar_phicut_test.png', 10, 10, 450);
