function [pres, ppt] = ppt_create()
%PPT_CREATE Start PowerPoint and create a new presentation.
%   
%   function [pres, ppt] = ppt_create()
%
%   Start PowerPoint and create a new presentation. Return handles to the
%   presentation and the PowerPoint application.
%
%   See also PPT_APPEND_SLIDE and PPT_ADD_IMAGE.

% By Ulf Carlberg.

ppt = actxserver('PowerPoint.Application');
ppt.Visible = 1;
pres = invoke(ppt.Presentations, 'Add');
