% Clear and calculate.
close all;
clear;
drawnow;

a = gen_farfield('incremental electric dipole', 40, 80);
figure;
plot_farfield(a);

a = gen_farfield('cosn 40', 40, 80);
figure;
plot_farfield(a);

a = gen_farfield('cosn 120', 40, 80);
figure;
plot_farfield(a);

theta = (0:180)*pi/180;
phi = (0:359)*pi/180;
a = read_farfield_raw_ascii('11ant/ELANbf3700.dat', theta, phi);
figure;
plot_farfield(a, [], 'interp');
