close all;
clear;

% Read files.
[angle_deg, InsetElevV_dBm] = textread('Edith/InsetElev_HornVert.txt', '%f %f', 'headerlines', 4);
a = read_farfield_cst2('Edith/S60_Ch_Monopole_1_2nd.txt');

% Plot files and save plot.
figure;
plot_polar_format('thetacut');
plot_polar_data(angle_deg*pi/180, InsetElevV_dBm, 'b-');
plot_polar_farfield_thetacut(a, [], [], 'r-');
%save_fig('example76.png');
