close all;
clear;

% Read far-field from file.
a1 = read_farfield('../data/CST/Ant.txt');

% Rotate far-field.
a2 = rotate_farfield(a1, pi/2, 0, 0);

% Plot original far-field and rotated far-field.
figure;
plot_farfield(a1, [], 'interp', [-0.2 0 0]); hold on;
plot_farfield(a2, [], 'interp', [+0.2 0 0]);

% Correlation.
corr = farfield_correlation(a1, a2);
disp(['Correlation from far-fields = ' num2str(corr)]);
