close all;
clear;

a1 = gen_farfield('cosn 45', 10, 21);
a1 = rotate_farfield(a1, pi/5, pi/5, pi/5);

N2 = 128;
phi2 = linspace(-pi, pi, N2+1);
Eph2 = fft_interp_periodic_function(a1.Eph(:, 1:end-1).', N2).';
Eph2 = [Eph2 Eph2(:, 1)];

figure;
plot(a1.phi, real(a1.Eph), 'bo-', phi2, real(Eph2), 'r-');
