function p = gen_positions_platform(r, n)
%GEN_POSITIONS_PLATFORM Generate positions for platform stirring.
%
%   function p = gen_positions_platform(r, n)
%   r - radius
%   n - number of positions

% By Ulf Carlberg.

alpha = linspace(0, 2*pi, n+1)';
p = gen_positions(r*cos(alpha(1:n)), r*sin(alpha(1:n)), 0, alpha(1:n), 0, 0);
