function str = join(c,sep)
%function str = join(c,sep)
%   Join the cell array of strings "c" with "sep" into a string.

% By Ulf Carlberg.

if nargin<2 || numel(sep)==0
    sep = '';
end

if numel(c)<1
    str = '';
else
    str = c{1};
    for ii = 2:length(c)
        str = [str sep c{ii}];
    end
end
