close all;
clear;

N = 1;
w1 = gen_waves('3D', N, 1, 'elliptical');
w2 = orthogonal_waves(w1);

figure;
for ii = 1:N
    for psi = linspace(0, 4*pi, 120)
        z = ii + psi/20;
        plot3(real([0 w1.E_phi(ii,1)*exp(1j*psi)]), ... 
              real([0 w1.E_theta(ii,1)*exp(1j*psi)]), [z z], 'b-');
        hold on;
        plot3(real([0 w2.E_phi(ii,1)*exp(1j*psi)]), ...
              real([0 w2.E_theta(ii,1)*exp(1j*psi)]), [z z], 'r-');
    end
end
axis equal;
