close all;
clear;

tic;
%a = gen_farfield('incremental Huygens source', 80, 160);
a = read_farfield('../data/SonyEricsson/Laird_top_antenna_single_hand.txt');
a = rotate_farfield(a, 0, 0, 0, 181, 361, 'spline');
toc;

ifreq = numel(a.freq);
tic; save_ply(a, '../data/save_ply_test.ply', ifreq); toc;
tic; save_vtk(a, '../data/save_vtk_test.vtk', ifreq); toc;
figure; plot_farfield(a, [], [], [], ifreq); shading interp;
