function a = set_radiation_efficiency(a, eff)
%SET_RADIATION_EFFICIENCY Set radiation efficiency of antenna structure.
%
%   function a = set_radiation_efficiency(a, eff)
%
%   Set radiation efficiency "eff" of antenna structure "a". The radiation
%   efficiency should be given in linear power.
%
%   See also GET_RADIATION_EFFICIENCY.

% By Ulf Carlberg.

a.power.accepted = a.power.radiated .* eff;
