function o = virmlab()
%VIRMLAB Visual random multi-path environment laboratory by Ulf Carlberg et al..
%
%   function o = virmlab()
%
%   This function just prints (or return) some information about virmlab.

% By Ulf Carlberg.

infoText = ['\n' ...
    'virmlab - Visual Random Multi-path environment Laboratory\n' ...
    'Version 2014-10-17.\n' ...
    '\n' ...
    'By Ulf Carlberg (1), Per-Simon Kildal (2), and Jan Carlsson (1).\n' ...
    '(1) SP - Technical Research Institute of Sweden, Boras, Sweden,\n' ...
    '(2) Chalmers University of Technology, Gothenburg, Sweden.\n' ...
    'Contact: ulf' char(2*23)  'carlberg' char(2^6) 'sp' char(414/9) 'se\n' ...
    '\n' ...
    'This work has been done in Chase, a VINN Excellence centre that is\n' ...
    'financed by the Swedish Governmental Agency for Innovation Systems\n' ...
    '(VINNOVA), at Chalmers University of Technology.\n' ...
    '\n' ...
    'License: GNU GENERAL PUBLIC LICENSE, Version 2, see the file\n' ...
    '"license.txt".\n' ...
    '\n' ...
    'Getting started: Run and study the "example*.m"-files.\n' ...
    '\n' ...
    ];

if nargout>0
    o = infoText;
else
    fprintf(infoText);
end
